Subject: Re: [RFH] hackday and GSoC topic suggestions

From: David Kastrup <[email-masked]>
Date: Thu, 13 Feb 2014 10:55:34 +0100

Christian Couder <[email-masked]> writes:

> On Thu, Feb 13, 2014 at 9:50 AM, Jeff King <[email-masked]> wrote:
>
>> I think Google leaves it up to us to decide. I'd be OK with a project
>> made of multiple small tasks, as I think it would be an interesting
>> experiment.  I'd rather not do all of them like that, though. And
>> bonus points if they are on a theme that will let the student use the
>> ramp-up time from one for another.
>
> Yeah, a student working on the "git bisect fix/unfixed" feature, could
> fix git bisect testing too many merge bases, and if there is still
> time work on moving more code from shell to C.

In the context of programming tasks, "if there is still time" is a prime
candidate for the successful application of branch prediction.

-- 
David Kastrup